#######################################################
#           AYOCHAT IRCD.CONF VERSION 1.0             #
#-----------------------------------------------------#
# **** NOTES ****                                     #
# change SID as you like as long as it has            #
# format 0-9 + A-Z/0-9 + A-Z/0-9                      #
# every server has to be different from one another.  #
# example: sid = "0AA";                               #
#######################################################

serverinfo {
	sid = "1NZ";
	name = "forum.ayochat.or.id";
	description = "IRC Forum Indonesia";
	network_name = "AyoChat";
	network_desc = "Indonesian IRC Network";
        vhost = "222.154.250.47";
#        vhost6 = "Your ircd ipv6 address here. eg. 2001:0000:0000:0000:0000:0000:0000:0000";
        hub = no;
        max_clients = 1024;
#       rsa_private_key_file = "path rsa.key";
#       ssl_certificate_file = "path cert.pem";
};

admin {
	name = "dex";
	description = "www.forum.or.id";
	email = "dex@ayochat.or.id";
};

logging {
	use_logging = yes;
	foperlog = "logs/operlog";
	fkilllog = "logs/kill";
	fklinelog = "logs/kline";
	fglinelog = "logs/gline";
	log_level = L_ERROR;
};
###################################
.include "class.txt"
.include "oline.txt"
.include "spoof.txt"
.include "allowed.txt"
.include "server.txt"
.include "rejected.txt"
.include "option.txt"
###################################
listen {
	flags = hidden;
	host = "222.154.250.47";
	port = 6660 .. 6669, 7000 .. 7001;
        host = "222.154.250.47";
        port = 5729;
};


#--
shared {
        name = "*";
        user = "*@team.ayochat.or.id";
        type = kline, tkline, unkline, xline, txline, unxline, resv, tresv, unresv;
};
shared {
        name = "*";
        user = "*@dnsbl.ayochat.or.id";
        type = kline, tkline, unkline, xline, txline, unxline, resv, tresv, unresv;
};
shared {
        name = "*";
        user = "*@services.ayochat.or.id";
        type = kline, tkline, unkline, xline, txline, unxline, resv, tresv, unresv;
};
###################################
